﻿local HouseAddition = foundation.createMod();

-- Check the game version
if (foundation.getGameVersion == nil) or (version.cmp(foundation.getGameVersion(), "1.7") < 0) then
    HouseAddition:logError("HouseAddition: game version anterior to 1.7")
    return
end
HouseAddition:msgBox("HouseAddition: game version" .. foundation.getGameVersion())

-- Set the mod major versions
_HomePrefix = "HOME_VJR_V4"

-- common functions
-- As the global functions are not transmit yet from dependencies, this file has to be duplicated in each mod
HouseAddition:dofile("scripts/common.lua")

_NoSandbox = difficultyLevel(HouseAddition, "HouseAddition")

HouseAddition:registerEnumValue ("BUILDING_PART_TYPE", "EXTENSION")
HouseAddition:registerEnumValue ("BUILDING_PART_TYPE", "DECORATION")

HouseAddition:dofile("scripts/building.lua")

-- Check the organic option
if not foundation.isModEnabled("a2cc9768-2cfb-4215-bc3c-1d2ee0ac5a05") then
    -- additions to the vanilla housing system
    HouseAddition:dofile("scripts/random.lua")
end

-- Monument for manual setting 
HouseAddition:dofile("scripts/monument.lua")
